This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 170905 - Review Request: pcsc-tools
Review Request: pcsc-tools
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
David Lawrence
http://ludovic.rousseau.free.fr/softw...
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-10-15 08:19 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-13 16:15:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2005-10-15 08:19:21 EDT
http://cachalot.mine.nu/4/SRPMS/pcsc-tools-1.4.1-0.2.src.rpm

The pcsc-tools package contains some tools useful for a user of PC/SC
user. The tools provided are:
* pcsc_scan(1) scans available smart card readers and print detected
  events: card insertion with ATR, card removal;
* ATR_analysis(1) analyses a smart card ATR (Anwser To Reset)
* scriptor(1) Perl script to send commands to a smart card using a
  batch file or stdin;
* gscriptor(1) the same idea as scriptor(1) but with Perl-Gtk GUI.
Comment 1 John Mahowald 2005-12-13 00:17:48 EST
Courtesy of fedora-qa script:
* RPM name is OK
* Source pcsc-tools-1.4.1.tar.gz is the same as upstream
* Builds fine in mock, FC4 i386
* rpmlint of pcsc-tools looks OK
* File list of pcsc-tools looks OK

Needs work:
* Source smartcard_list.txt is different from upstream,
  upstream is newer
  (wiki: QAChecklist item 2)
* BuildRequires: sed should not be included
  (wiki: PackagingGuidelines#Exceptions)
* Desktop file: the Categories tag should contain Application
  (wiki: PackagingGuidelines#desktop)
Comment 2 Ville Skyttä 2005-12-13 04:14:26 EST
Thanks.  smartcard_list.txt is a moving target, updated to latest upstream and
"fixed" the other issues too (although I don't quite agree with them).

http://cachalot.mine.nu/4/SRPMS/pcsc-tools-1.4.1-1.src.rpm
Comment 3 John Mahowald 2005-12-13 15:28:14 EST
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible
- source matches upstream
- package compiles on FC4 i386
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- .desktop file properly installed

APPROVED
Comment 4 Ville Skyttä 2005-12-13 16:15:35 EST
Thanks, imported and successfully built for FC-4 and devel.

Note You need to log in before you can comment on or make changes to this bug.